Class Specialization
Simple Score
Simple scoring scheme that has scores for matches, mismatches, opening gaps and extending gaps.

Score

Simple Score

Score<TValue, Simple>
Include Headers
seqan/score.h
Parameters

TValue | The value type. Default: int

Specialization of
Score
Metafunctions

DefaultFindBeginPatternSpec | Type of the default findBegin pattern specialization, given a score. (Score)
Value | Type of the items in the container. (Score)

Member Functions

Score | Constructor (Score)

Functions

alignmentEvaluation | Given a multiple alignment, this function calculates all kinds of alignment statistics. (Score)
bandedAlignment | Calculates a banded alignment around a Seed.
bandedChainAlignment | Calculates a banded alignment around a chain of seeds.
extendSeed | Extends a seed.
extendSeeds | Extension of seeds.
extendSeedScore | Extends a seed and increases the score.
extendSeedsScore | Extension of seeds with score calculation.
getAlignment | Constructs a alignment from a ChainedSeed.
globalAlignment | Computes the best global alignment of the two sequences. (Score)
globalMsaAlignment | Computes a global multiple alignment. (Score)
localAlignment | Computes the best local alignment of two sequences. (Score)
matchRefinement | Refines (i.e. cuts into smaller parts) a set of pairwise segment matches in such a way that none of the segments partly overlap. They are either identical (fully overlapping) or non-overlapping. (Score)
multiLocalAlignment | Computes multiple local alignments of two sequences. (Score)
score | Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme. (Score)
score | Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme. (Score)
scoreGap | Score for gaps.
scoreGapExtend | Score for extending gaps.
scoreGapOpen | Score for opening a gap.
scoreMatch | Match score.
scoreMismatch | Mismatch score.
scoreSeed | Calculates the score of a seed.
setScoreGap | Set gap opening and extension score.
setScoreGapExtend | Set gap extension score.
setScoreGapOpen | Set gap opening score.
setScoreMatch | Set match score.
setScoreMismatch | Set mismatch score.
sumOfPairsScore | Given a multiple alignment, this function calculates the sum-of-pairs score. (Score)

Shortcuts

SimpleScore | Simple scoring scheme.

Example Programs
Local Alignments, Global Alignments
See Also
SimpleScore
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52